commit: 13254656dd64d35d8f9f2f28ae9c9606edad898b
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Sep 29 06:05:08 2019 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Sep 29 09:06:52 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13254656
dev-ruby/tty-command: add 0.9.0
Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
dev-ruby/tty-command/Manifest | 1 +
dev-ruby/tty-command/tty-command-0.9.0.ebuild | 30 +++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-ruby/tty-command/Manifest b/dev-ruby/tty-command/Manifest
index b8f21fb3119..32f255fc64c 100644
--- a/dev-ruby/tty-command/Manifest
+++ b/dev-ruby/tty-command/Manifest
@@ -1 +1,2 @@
DIST tty-command-0.8.2.tar.gz 30126 BLAKE2B
858b9c60380859bd984295e00638ba93416c62acbe4e5c1d0e33b411862d729c129f00dda236f4ca9943962859a35c9fe1fa2431327fb2e3170366412f8d83e3
SHA512
151af5fe0cf241b4e8004560d04fe967d8fe1d24cf311d64c4fab46d1c11b1fe27849f3925f13d3a73b7b86a55aabacd3e4bbffa9a96c34669c93b29756fe88e
+DIST tty-command-0.9.0.tar.gz 30463 BLAKE2B
fc0436a80b4b73040a89f085315f50e464efd91d6ee222f7b94eec5b94700089ae22963580febf8296377c859c67f1f21772ecd24d325af76308183df6070e2a
SHA512
12c5c238ea34b7236b1c1b3115a7f490ae3986de686359ed390428f766aabdb35de7a1b29363b5be4e09e0fb6888b0c8a30eb466153f64b1d8a77620a657ffac
diff --git a/dev-ruby/tty-command/tty-command-0.9.0.ebuild
b/dev-ruby/tty-command/tty-command-0.9.0.ebuild
new file mode 100644
index 00000000000..d5da980e918
--- /dev/null
+++ b/dev-ruby/tty-command/tty-command-0.9.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Terminal color capabilities detection"
+HOMEPAGE="https://github.com/piotrmurach/tty-command"
+SRC_URI="https://github.com/piotrmurach/tty-command/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend "=dev-ruby/pastel-0.7*"
+
+all_ruby_prepare() {
+ echo '-rspec_helper' > .rspec || die
+}